Only in discover-1.5: .cvsignore
diff -ru discover.org/discover-1.5/debian/changelog discover-1.5/debian/changelog
--- discover.org/discover-1.5/debian/changelog	2002-06-11 20:45:33.000000000 +0200
+++ discover-1.5/debian/changelog	2002-09-08 01:38:30.000000000 +0200
@@ -1,3 +1,9 @@
+discover (1.5-2) unstable; urgency=low
+
+  * Add udeb generation
+
+ -- Tollef Fog Heen <tfheen@debian.org>  Sun,  8 Sep 2002 01:38:30 +0200
+
 discover (1.5-1) unstable; urgency=low
 
   * new upstream version
Only in discover-1.5/debian: changelog~
diff -ru discover.org/discover-1.5/debian/control discover-1.5/debian/control
--- discover.org/discover-1.5/debian/control	2002-06-05 18:11:35.000000000 +0200
+++ discover-1.5/debian/control	2002-09-08 01:05:52.000000000 +0200
@@ -52,3 +52,21 @@
  position-independent code, used to develop subsets of the discover shared
  library for use on custom installation disks and in embedded systems.  Unless
  you're making one of those, you won't need this package.
+
+Package: discover-udeb
+Section: debian-installer
+Priority: standard
+Architecture: any
+Depends: ${shlibs:Depends}
+Description: hardware identification library (udeb)
+ Discover is a hardware identification system based on the libdiscover1
+ library.  Discover provides a flexible interface that programs can use to
+ report a wide range of information about the hardware that is installed on a
+ Linux system.  In addition to reporting information, discover includes
+ support for doing hardware detection at boot time.  Detection occurs in two
+ stages: The first stage, which runs from an initial ramdisk (initrd), loads
+ just the drivers needed to mount the root file system, and the second stage
+ loads the rest (ethernet cards, sound cards, etc.).
+ .
+ This contains the udeb, which is used for the debian-installer
+ installation system.  It won't work well on a normal debian system.
Only in discover-1.5/debian: discover-udeb.dirs
diff -ru discover.org/discover-1.5/debian/rules discover-1.5/debian/rules
--- discover.org/discover-1.5/debian/rules	2002-04-29 19:12:24.000000000 +0200
+++ discover-1.5/debian/rules	2002-09-08 01:36:47.000000000 +0200
@@ -2,6 +2,11 @@
 
 export DH_COMPAT=3
 
+PACKAGE=$(shell dh_listpackages | grep -- -udeb$$)
+VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
+ARCH=$(shell dpkg --print-architecture)
+UFILENAME=$(PACKAGE)_$(VERSION)_$(ARCH).udeb
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
@@ -63,12 +68,19 @@
 	mkdir -p debian/libdiscover1-pic/usr/lib
 	cp lib/libdiscover_pic.a debian/libdiscover1-pic/usr/lib/
 
+# discover-udeb
+	cp -a lib/.libs/*so* $(CURDIR)/debian/discover-udeb/usr/lib
+	rm -f $(CURDIR)/debian/discover-udeb/usr/lib/*so
+	cp -a $(CURDIR)/debian/tmp/sbin/discover \
+		$(CURDIR)/debian/discover-udeb/sbin
+#	$(MAKE) -C discover install DESTDIR=$(CURDIR)/debian/discover-udeb
+
 # Build architecture-independent files here.
 binary-indep: build install
 # We have nothing to do by default.
 
 # Build architecture-dependent files here.
-binary-arch: build install
+binary-arch: build install discover-udeb
 	dh_testdir
 	dh_testroot
 	dh_movefiles
@@ -77,16 +89,32 @@
 	dh_installchangelogs ChangeLog
 	#XXX: dh_installinit appears to be busted :-P (see Debian #140881)
 	#dh_installinit -v --no-restart-on-upgrade --update-rcd-params="start 36 S ."
-	dh_strip
-	dh_compress
-	dh_fixperms
+	dh_strip -Ndiscover-udeb
+	dh_compress  -Ndiscover-udeb
+	dh_fixperms -Ndiscover-udeb
+#	dh_makeshlibs
+	dh_installdebconf -Ndiscover-udeb
+	dh_installdeb -Ndiscover-udeb
+	dh_shlibdeps -ldebian/libdiscover1/usr/lib -Ndiscover-udeb
+	dh_gencontrol -Ndiscover-udeb
+	dh_md5sums -Ndiscover-udeb
+	dh_builddeb -Ndiscover-udeb
+
+discover-udeb: build install
+	dh_testdir
+	dh_testroot
+
+	dh_strip -pdiscover-udeb
+	dh_compress -pdiscover-udeb
+	dh_fixperms -pdiscover-udeb
 #	dh_makeshlibs
-	dh_installdebconf
-	dh_installdeb
-	dh_shlibdeps -ldebian/libdiscover1/usr/lib
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	dh_installdeb -pdiscover-udeb  --filename=discover-udeb.udeb
+	dh_shlibdeps -ldebian/libdiscover1/usr/lib -pdiscover-udeb
+	# Don't write your stupid guesses to debian/files.
+	dh_gencontrol -pdiscover-udeb -- -fdebian/files~
+	# Register file manually.
+	dpkg-distaddfile $(UFILENAME) debian-installer standard
+	dh_builddeb -pdiscover-udeb --filename=$(UFILENAME)
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure
Only in discover-1.5/debian: rules~
Only in discover-1.5/discover: .cvsignore
Only in discover-1.5/lib: .cvsignore
Only in discover-1.5/po: .cvsignore
